#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2013, 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import subprocess
import sys

from setuptools import find_packages, setup

# ensure find_packages works if our current directory isn't this project
basedir = os.path.abspath(os.path.dirname(__file__))
os.chdir(basedir)
packages = find_packages(basedir)

import ci_utils

requires = [
    'WebTest==2.0.10',
    'amqplib==1.0.0',
    'django-tastypie==0.9.15',
    'mock==1.0.1',
    'python-jenkins==0.2.1',
    'python-subunit',
    'restish==0.12.1',
    'testtools',
    'PyYAML==3.10',
]

if len(sys.argv) > 1 and sys.argv[1] in ('test', 'develop'):
    # python-swiftclient has problems in its setup.py
    # this hacks around it:
    subprocess.check_call(['pip', 'install', 'python-swiftclient==1.8.0'])
    subprocess.check_call(['pip', 'install', 'python-glanceclient==0.12.0'])

setup(
    name='ci-utils',
    version=ci_utils.__version__,
    description='Common utilities for Ubuntu CI Engine',
    author='Andy Doan',
    author_email='andy.doan@ubuntu.com',
    license='AGPL',
    packages=packages,
    test_suite='ci_utils.tests',
    install_requires=requires,
)
