#!/usr/bin/env python
# Ubuntu Continuous Integration Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import subprocess
import sys

from setuptools import find_packages, setup

# ensure find_packages works if our current directory isn't this project
here = os.path.abspath(os.path.dirname(__file__))
os.chdir(here)
packages = find_packages(here)

requires = [
    'chardet>=2.0.1',
    'dput>=1.6',
    'lazr.enum>=1.1.2',
    'PyYAML==3.10',
]

tests_require = [
    'mock==1.0.1',
    'testfixtures>=3.0.1',
]

if len(sys.argv) > 1 and sys.argv[1] in ('test', 'develop'):
    # python-swiftclient has problems in its setup.py
    # this hacks around it:
    subprocess.check_call(['pip', 'install', 'python-swiftclient==1.8.0'])

setup(
    name='ci-engine-cli',
    version='0.1',
    description='CLI component of Ubuntu CI Engine',
    author='Canonical CI Engineering Team',
    license='AGPL',
    packages=packages,
    test_suite='tests',
    tests_require=tests_require,
    install_requires=requires,
    scripts=['ubuntu-ci'],
)
